Get upload status
curl --request GET \
--url https://app.tryordinal.com/api/v1/uploads/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.tryordinal.com/api/v1/uploads/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.tryordinal.com/api/v1/uploads/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"status": "awaiting_upload",
"createdAt": "2026-02-04T10:30:00.000Z"
}File Uploads
Get upload status
Returns the current status and metadata of an upload. Poll this endpoint until status is ‘ready’, then use the returned assetId when creating posts.
GET
/
uploads
/
{id}
Get upload status
Authorizations
API key authentication. Generate an API key from your workspace settings.
Path Parameters
Upload job ID (UUID)
Response
Upload status and metadata. Response shape depends on status.
Was this page helpful?